> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post stripecustomer portal session



## OpenAPI

````yaml post /stripe/customer_portal_session
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /stripe/customer_portal_session:
    post:
      tags:
        - stripe
      operationId: stripe_customer_portal_session_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomerPortalCreation'
        required: true
      responses:
        '201':
          description: Successfully generated customer portal URL.
          content: {}
        '400':
          description: Customer portal URL generation failed or validation errors
          content: {}
components:
  schemas:
    CustomerPortalCreation:
      required:
        - customer_id
        - return_url
      type: object
      properties:
        customer_id:
          title: Customer id
          minLength: 1
          type: string
        return_url:
          title: Return url
          minLength: 1
          type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````